Get the results of the schedule summary report

​

Body·

application/json
  • The partner to filter by

  • Integer numbers.

    values
    Client = 1Carrier = 2
  • The start date in the schedule date range

  • The end date in the schedule date range

  • Integer numbers.

    values
    Draft = 1Approved = 2

Responses

  • application/json
Request Example for post/v1/reports/schedule-summary
curl https://api.consignlyhq.com/v1/reports/schedule-summary \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "scheduleDateFrom": "date (YYYY-MM-DD)",
  "scheduleDateTo": "date (YYYY-MM-DD)",
  "scheduleStatus": "enum (Draft = 1, Approved = 2)",
  "partnerRelationship": "enum (Client = 1, Carrier = 2)",
  "partnerId": null
}'
[
  {
    "partnerName": null,
    "scheduleDate": "date (YYYY-MM-DD)",
    "scheduleStatus": "enum (Draft = 1, Approved = 2)",
    "referenceNumber": null,
    "description": null,
    "freightAmountExclTax": 1,
    "activityAmountExclTax": 1,
    "storageAmountExclTax": 1,
    "adhocAmountExclTax": 1,
    "amountExclTax": 1
  }
]